Package org.apache.any23.vocab

## Class Programme

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.Programme

-     public class Programme
      extends Vocabulary

  The Programmes Ontology is aimed at providing a simple vocabulary for describing programmes.

  It covers brands, series (seasons), episodes, broadcast events, broadcast services, etc. Its development was funded by the BBC, and is heavily grounded on previous programmes data modeling work done there.

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `actor` | Relates a programmes to one of its actors - a person who plays the role of a character.
    `org.eclipse.rdf4j.model.IRI` | `anchor` | A television reporter who coordinates a programme.
    `org.eclipse.rdf4j.model.IRI` | `aspect_ratio` | The aspect ration of a particular version.
    `org.eclipse.rdf4j.model.IRI` | `AudioDescribedVersion` | A version holding an audio description.
    `org.eclipse.rdf4j.model.IRI` | `author` | Relates a programme to its author - the person who created the content
    `org.eclipse.rdf4j.model.IRI` | `Brand` | A brand, e.g.
    `org.eclipse.rdf4j.model.IRI` | `Broadcast` | A broadcast event.
    `org.eclipse.rdf4j.model.IRI` | `broadcast_of` | Relates a particular broadcast to the version being broadcasted.
    `org.eclipse.rdf4j.model.IRI` | `broadcast_on` | Relates a particular broadcast to the service or outlet on which it was on.
    `org.eclipse.rdf4j.model.IRI` | `broadcaster` | Associates a service to a broadcaster.
    `org.eclipse.rdf4j.model.IRI` | `Broadcaster` | An organization responsible of some broadcasting services.
    `org.eclipse.rdf4j.model.IRI` | `category` | Relates a programme to a particular category, e.g.
    `org.eclipse.rdf4j.model.IRI` | `Category` | A category provides a way of classifying a set of programmes.
    `org.eclipse.rdf4j.model.IRI` | `channel` | Associates a service to a channel, e.g.
    `org.eclipse.rdf4j.model.IRI` | `Channel` | A physical channel on which a broadcast occurs.
    `org.eclipse.rdf4j.model.IRI` | `clip` | Associates a brand, a series or an episode to a clip.
    `org.eclipse.rdf4j.model.IRI` | `Clip` | A particular clip, e.g.
    `org.eclipse.rdf4j.model.IRI` | `commentator` | Relates a programme to one of its commentators
    `org.eclipse.rdf4j.model.IRI` | `credit` | Relates a programmes to a person who is credited in it
    `org.eclipse.rdf4j.model.IRI` | `DAB` | Digital Audio Broadcasting
    `org.eclipse.rdf4j.model.IRI` | `director` | Relates a programme to its supervisor.
    `org.eclipse.rdf4j.model.IRI` | `duration` | The duration of a version, in seconds.
    `org.eclipse.rdf4j.model.IRI` | `DVB` | Digital Video Broadcasting
    `org.eclipse.rdf4j.model.IRI` | `episode` | Associates a brand or a series to an episode constituting it.
    `org.eclipse.rdf4j.model.IRI` | `Episode` | A particular episode, e.g.
    `org.eclipse.rdf4j.model.IRI` | `executive_producer` | Relates a programme to its executive producer - a producer who is not involved in any technical aspects of the making process, but who is still responsible for the overall production.
    `org.eclipse.rdf4j.model.IRI` | `FirstBroadcast` | Specifies a broadcast as being the first one of a particular version.
    `org.eclipse.rdf4j.model.IRI` | `FM` | The FM broadcast band
    `org.eclipse.rdf4j.model.IRI` | `format` | Relates a programme to a particular format (eg.
    `org.eclipse.rdf4j.model.IRI` | `Format` | Anchor point for format taxonomies, similar to po:Genre for genre taxonomies.
    `org.eclipse.rdf4j.model.IRI` | `frequency` | Associates a channel to its frequency
    `org.eclipse.rdf4j.model.IRI` | `genre` | Relates a programme to a particular genre.
    `org.eclipse.rdf4j.model.IRI` | `Genre` | An anchor point for a programmes' genre taxonomy, # e.g.
    `org.eclipse.rdf4j.model.IRI` | `IPStream` | IP Stream
    `org.eclipse.rdf4j.model.IRI` | `LocalRadio` | Radio services aiming at a local coverage.
    `org.eclipse.rdf4j.model.IRI` | `location` | Associates a service to a geographic location, aiming at capturing what this service aims at covering.
    `org.eclipse.rdf4j.model.IRI` | `long_synopsis` | A long synopsis of a serie, brand or episode.
    `org.eclipse.rdf4j.model.IRI` | `LW` | The AM broadcast band.
    `org.eclipse.rdf4j.model.IRI` | `masterbrand` | Associates a programme with its masterbrand (its commissionner)
    `org.eclipse.rdf4j.model.IRI` | `medium_synopsis` | A medium synopsis of a serie, brand or episode.
    `org.eclipse.rdf4j.model.IRI` | `microsite` | Associates a programme to its microsite.
    `org.eclipse.rdf4j.model.IRI` | `MusicSegment` | Classification of an episode version's region corresponding to a musical track being played..
    `org.eclipse.rdf4j.model.IRI` | `NationalRadio` | Radio services aiming at a national coverage.
    `org.eclipse.rdf4j.model.IRI` | `news_reader` | Relates a programme to its news reader
    `static String` | `NS` |
    `org.eclipse.rdf4j.model.IRI` | `OriginalVersion` | An `original' version, the legacy version of a particular episode.
    `org.eclipse.rdf4j.model.IRI` | `outlet` | Associates a service to an outlet, e.g.
    `org.eclipse.rdf4j.model.IRI` | `Outlet` | Outlet of a particular service, e.g.
    `org.eclipse.rdf4j.model.IRI` | `parent_series` | Relates a series to a series constituting it (eg.
    `org.eclipse.rdf4j.model.IRI` | `parent_service` | Relates a service to another service encapsulating it (eg.
    `org.eclipse.rdf4j.model.IRI` | `participant` | Relates a programme to one of its participants
    `org.eclipse.rdf4j.model.IRI` | `performer` | Relates a programme to an entertainer who performs a dramatic or musical work for audience
    `org.eclipse.rdf4j.model.IRI` | `person` | Relates a programme to a person
    `org.eclipse.rdf4j.model.IRI` | `Person` | A Person.
    `org.eclipse.rdf4j.model.IRI` | `place` | Relates a programme to a place (e.g.
    `org.eclipse.rdf4j.model.IRI` | `Place` | A physical place.
    `org.eclipse.rdf4j.model.IRI` | `position` | The position of a particular series or episode within its containing programme.
    `org.eclipse.rdf4j.model.IRI` | `producer` | Relates a programme to its producer - the manager of an event, show, or other work, usually the individual in charge of finance, personnel, and other non-artistic aspects in the development of commercials, plays, movies, and other works
    `org.eclipse.rdf4j.model.IRI` | `Programme` | A programme, can either be a brand, a series or an episode.
    `org.eclipse.rdf4j.model.IRI` | `ProgrammeItem` | A programme that can have versions, and as such can be broadcast or made available on-demand, e.g.
    `org.eclipse.rdf4j.model.IRI` | `Radio` | Services that use a radio medium.
    `org.eclipse.rdf4j.model.IRI` | `RegionalRadio` | Radio services aiming at a regional coverage.
    `org.eclipse.rdf4j.model.IRI` | `RepeatBroadcast` | Specifies a broadcast as being a repeat.
    `org.eclipse.rdf4j.model.IRI` | `schedule_date` | The schedule date of a broadcast event.
    `org.eclipse.rdf4j.model.IRI` | `Season` | A season is a group of broadcasts.
    `org.eclipse.rdf4j.model.IRI` | `season_broadcast` | Associates a season to its constituent broadcasts
    `org.eclipse.rdf4j.model.IRI` | `Segment` | Classification of an episode version's region, e.g.
    `org.eclipse.rdf4j.model.IRI` | `series` | Associates a brand or a series to a series constituting it.
    `org.eclipse.rdf4j.model.IRI` | `Series` | A series, e.g.
    `org.eclipse.rdf4j.model.IRI` | `service` | Associate a brand, series or episode to the master brand service.
    `org.eclipse.rdf4j.model.IRI` | `Service` | A broadcasting service.
    `org.eclipse.rdf4j.model.IRI` | `short_synopsis` | A short synopsis of a serie, brand or episode.
    `org.eclipse.rdf4j.model.IRI` | `ShortenedVersion` | A shortened version.
    `org.eclipse.rdf4j.model.IRI` | `SignedVersion` | Anchor point for subject taxonomies.
    `org.eclipse.rdf4j.model.IRI` | `sound_format` | The sound format of a particular version.
    `org.eclipse.rdf4j.model.IRI` | `SpeechSegment` | Classification of an episode version's region holding speech content.
    `org.eclipse.rdf4j.model.IRI` | `subject` | Relates a programme to a subject (e.g.
    `org.eclipse.rdf4j.model.IRI` | `Subject` | A version holding sign language.
    `org.eclipse.rdf4j.model.IRI` | `Subtitle` | Classification of an episode version's region corresponding to a subtitle being shown.
    `org.eclipse.rdf4j.model.IRI` | `subtitle_language` | Language of the subtitles emebedded in a particular version.
    `org.eclipse.rdf4j.model.IRI` | `synopsis` | The synopsis of a serie, brand or episode.
    `org.eclipse.rdf4j.model.IRI` | `tag` | Associates an episode to a particular tag.
    `org.eclipse.rdf4j.model.IRI` | `text` | Associates a subtitle event to the corresponding text.
    `org.eclipse.rdf4j.model.IRI` | `time` | Associates an episode's version or a version's segment with a temporal interval.
    `org.eclipse.rdf4j.model.IRI` | `track` | Associates a music segment with a track, as defined in MO.
    `org.eclipse.rdf4j.model.IRI` | `TV` | Services that use a television medium.
    `org.eclipse.rdf4j.model.IRI` | `version` | Associate an episode to a version of it.
    `org.eclipse.rdf4j.model.IRI` | `Version` | A particular version of an episode.
    `org.eclipse.rdf4j.model.IRI` | `Web` | Services that use a Web medium.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Programme` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### AudioDescribedVersion

          public final org.eclipse.rdf4j.model.IRI AudioDescribedVersion

      A version holding an audio description.

    - #### Brand

          public final org.eclipse.rdf4j.model.IRI Brand

      A brand, e.g. `Top Gea`r

    - #### Broadcast

          public final org.eclipse.rdf4j.model.IRI Broadcast

      A broadcast event. Subsumes the event concept defined in the Event ontology. A broadcast is associated with a service, and with a particular version of an episode.

    - #### Broadcaster

          public final org.eclipse.rdf4j.model.IRI Broadcaster

      An organization responsible of some broadcasting services. It can hold a set of services and outlets.

    - #### Category

          public final org.eclipse.rdf4j.model.IRI Category

      A category provides a way of classifying a set of programmes. Such classifications can be performed according to multiple dimensions and taxonomies, e.g. genre, format, places, people, subjects...

    - #### Channel

          public final org.eclipse.rdf4j.model.IRI Channel

      A physical channel on which a broadcast occurs. A single outlet or service can be associated with multiple channels. For example, Radio 4 LW broadcasts on Analogue Long Wave and on Digital Satellite.

    - #### Clip

          public final org.eclipse.rdf4j.model.IRI Clip

      A particular clip, e.g. `Clip of Top Gear, first series'

    - #### DAB

          public final org.eclipse.rdf4j.model.IRI DAB

      Digital Audio Broadcasting

    - #### DVB

          public final org.eclipse.rdf4j.model.IRI DVB

      Digital Video Broadcasting

    - #### Episode

          public final org.eclipse.rdf4j.model.IRI Episode

      A particular episode, e.g. `Top Gear, first episode of the first series' or the film 'A Walk in the Sun' (http://www.bbc.co.uk/programmes/b00gfzdt)

    - #### FM

          public final org.eclipse.rdf4j.model.IRI FM

      The FM broadcast band

    - #### FirstBroadcast

          public final org.eclipse.rdf4j.model.IRI FirstBroadcast

      Specifies a broadcast as being the first one of a particular version.

    - #### Format

          public final org.eclipse.rdf4j.model.IRI Format

      Anchor point for format taxonomies, similar to po:Genre for genre taxonomies. Instances of this concept include documentaries, talk shows, animation, etc.

    - #### Genre

          public final org.eclipse.rdf4j.model.IRI Genre

      An anchor point for a programmes' genre taxonomy, # e.g. 'Drama'/'Biographical'.

    - #### IPStream

          public final org.eclipse.rdf4j.model.IRI IPStream

      IP Stream

    - #### LW

          public final org.eclipse.rdf4j.model.IRI LW

      The AM broadcast band.

    - #### LocalRadio

          public final org.eclipse.rdf4j.model.IRI LocalRadio

      Radio services aiming at a local coverage.

    - #### MusicSegment

          public final org.eclipse.rdf4j.model.IRI MusicSegment

      Classification of an episode version's region corresponding to a musical track being played..

    - #### NationalRadio

          public final org.eclipse.rdf4j.model.IRI NationalRadio

      Radio services aiming at a national coverage.

    - #### OriginalVersion

          public final org.eclipse.rdf4j.model.IRI OriginalVersion

      An `original' version, the legacy version of a particular episode.

    - #### Outlet

          public final org.eclipse.rdf4j.model.IRI Outlet

      Outlet of a particular service, e.g. Radio 4 LW and FM for Radio 4. Outlets are services which do not have variations. The identity criteria for an outlet is its timeline. For example, Radio 4 LW broadcasts on Analogue Long Wave, but also on Digital Satellite. It corresponds to just one outlet, as they are simulcasts. The two physical channels for broadcasts correspond to po:Channel.

    - #### Person

          public final org.eclipse.rdf4j.model.IRI Person

      A Person.

    - #### Place

          public final org.eclipse.rdf4j.model.IRI Place

      A physical place.

    - #### Programme

          public final org.eclipse.rdf4j.model.IRI Programme

      A programme, can either be a brand, a series or an episode.

    - #### ProgrammeItem

          public final org.eclipse.rdf4j.model.IRI ProgrammeItem

      A programme that can have versions, and as such can be broadcast or made available on-demand, e.g. a clip or an episode.

    - #### Radio

          public final org.eclipse.rdf4j.model.IRI Radio

      Services that use a radio medium.

    - #### RegionalRadio

          public final org.eclipse.rdf4j.model.IRI RegionalRadio

      Radio services aiming at a regional coverage.

    - #### RepeatBroadcast

          public final org.eclipse.rdf4j.model.IRI RepeatBroadcast

      Specifies a broadcast as being a repeat.

    - #### Season

          public final org.eclipse.rdf4j.model.IRI Season

      A season is a group of broadcasts.

    - #### Segment

          public final org.eclipse.rdf4j.model.IRI Segment

      Classification of an episode version's region, e.g. 'this track was played at that time'.

    - #### Series

          public final org.eclipse.rdf4j.model.IRI Series

      A series, e.g. `Top Gear, first season'

    - #### Service

          public final org.eclipse.rdf4j.model.IRI Service

      A broadcasting service. Instances of this concept include BBC Radio Wales, BBC Radio 4, BBC News, etc. A service is a collection of outlets which contain common material, but with some variations, e.g. by region. Hence, a service may have multiple outlets (po:Outlet), e.g. BBC Radio 4 has BBC Radio 4 LW and BBC Radio 4 FM. A hierarchy of services types is defined within this ontology, e.g. radio and TV. A service that is a master brand only (a service that only commissions programmes, e.g. BBC Switch) should be an instance of the top-level po:Service.

    - #### ShortenedVersion

          public final org.eclipse.rdf4j.model.IRI ShortenedVersion

      A shortened version.

    - #### SpeechSegment

          public final org.eclipse.rdf4j.model.IRI SpeechSegment

      Classification of an episode version's region holding speech content.

    - #### SignedVersion

          public final org.eclipse.rdf4j.model.IRI SignedVersion

      Anchor point for subject taxonomies.

    - #### Subject

          public final org.eclipse.rdf4j.model.IRI Subject

      A version holding sign language.

    - #### Subtitle

          public final org.eclipse.rdf4j.model.IRI Subtitle

      Classification of an episode version's region corresponding to a subtitle being shown.

    - #### TV

          public final org.eclipse.rdf4j.model.IRI TV

      Services that use a television medium.

    - #### Version

          public final org.eclipse.rdf4j.model.IRI Version

      A particular version of an episode. Such versions include shortened ones, audio described ones or ones that holds sign language. The version is associated to a timeline.

    - #### Web

          public final org.eclipse.rdf4j.model.IRI Web

      Services that use a Web medium.

    - #### actor

          public final org.eclipse.rdf4j.model.IRI actor

      Relates a programmes to one of its actors - a person who plays the role of a character.

    - #### anchor

          public final org.eclipse.rdf4j.model.IRI anchor

      A television reporter who coordinates a programme.

    - #### aspect_ratio

          public final org.eclipse.rdf4j.model.IRI aspect_ratio

      The aspect ration of a particular version.

    - #### author

          public final org.eclipse.rdf4j.model.IRI author

      Relates a programme to its author - the person who created the content

    - #### broadcast_of

          public final org.eclipse.rdf4j.model.IRI broadcast_of

      Relates a particular broadcast to the version being broadcasted. Sub-property of the event:factor one.

    - #### broadcast_on

          public final org.eclipse.rdf4j.model.IRI broadcast_on

      Relates a particular broadcast to the service or outlet on which it was on. Sub-property of the event:factor one.

    - #### broadcaster

          public final org.eclipse.rdf4j.model.IRI broadcaster

      Associates a service to a broadcaster.

    - #### category

          public final org.eclipse.rdf4j.model.IRI category

      Relates a programme to a particular category, e.g. genre, format, place...

    - #### channel

          public final org.eclipse.rdf4j.model.IRI channel

      Associates a service to a channel, e.g. Radio 4 LW to Radio 4 LW on Analogue Long Wave.

    - #### clip

          public final org.eclipse.rdf4j.model.IRI clip

      Associates a brand, a series or an episode to a clip.

    - #### commentator

          public final org.eclipse.rdf4j.model.IRI commentator

      Relates a programme to one of its commentators

    - #### credit

          public final org.eclipse.rdf4j.model.IRI credit

      Relates a programmes to a person who is credited in it

    - #### director

          public final org.eclipse.rdf4j.model.IRI director

      Relates a programme to its supervisor. Generally refers to the person responsible for all audience-visible components of a program, film, or show, whereas the producer is responsible for the financial and other behind-the-scenes aspects. A director's duties might also include casting, script editing, shot selection, shot composition, and editing

    - #### duration

          public final org.eclipse.rdf4j.model.IRI duration

      The duration of a version, in seconds.

    - #### episode

          public final org.eclipse.rdf4j.model.IRI episode

      Associates a brand or a series to an episode constituting it.

    - #### executive_producer

          public final org.eclipse.rdf4j.model.IRI executive_producer

      Relates a programme to its executive producer - a producer who is not involved in any technical aspects of the making process, but who is still responsible for the overall production. Typically an executive producer handles business and legal issues

    - #### format

          public final org.eclipse.rdf4j.model.IRI format

      Relates a programme to a particular format (eg. `Animation', `Documentary', etc.).

    - #### frequency

          public final org.eclipse.rdf4j.model.IRI frequency

      Associates a channel to its frequency

    - #### genre

          public final org.eclipse.rdf4j.model.IRI genre

      Relates a programme to a particular genre.

    - #### location

          public final org.eclipse.rdf4j.model.IRI location

      Associates a service to a geographic location, aiming at capturing what this service aims at covering.

    - #### long_synopsis

          public final org.eclipse.rdf4j.model.IRI long_synopsis

      A long synopsis of a serie, brand or episode. Sub-property of po:synopsis.

    - #### masterbrand

          public final org.eclipse.rdf4j.model.IRI masterbrand

      Associates a programme with its masterbrand (its commissionner)

    - #### medium_synopsis

          public final org.eclipse.rdf4j.model.IRI medium_synopsis

      A medium synopsis of a serie, brand or episode. Sub-property of po:synopsis.

    - #### microsite

          public final org.eclipse.rdf4j.model.IRI microsite

      Associates a programme to its microsite. For example http://www.bbc.co.uk/programmes/b00fm04s and http://www.bbc.co.uk/eastenders/

    - #### news_reader

          public final org.eclipse.rdf4j.model.IRI news_reader

      Relates a programme to its news reader

    - #### outlet

          public final org.eclipse.rdf4j.model.IRI outlet

      Associates a service to an outlet, e.g. Radio 4 to Radio 4 LW.

    - #### parent_series

          public final org.eclipse.rdf4j.model.IRI parent_series

      Relates a series to a series constituting it (eg. `Waking the dead').

    - #### parent_service

          public final org.eclipse.rdf4j.model.IRI parent_service

      Relates a service to another service encapsulating it (eg. `BBC One' and `BBC One South')

    - #### participant

          public final org.eclipse.rdf4j.model.IRI participant

      Relates a programme to one of its participants

    - #### performer

          public final org.eclipse.rdf4j.model.IRI performer

      Relates a programme to an entertainer who performs a dramatic or musical work for audience

    - #### person

          public final org.eclipse.rdf4j.model.IRI person

      Relates a programme to a person

    - #### place

          public final org.eclipse.rdf4j.model.IRI place

      Relates a programme to a place (e.g. `London')

    - #### position

          public final org.eclipse.rdf4j.model.IRI position

      The position of a particular series or episode within its containing programme. This property can also be used to give the position of an interval within the containing timeline.

    - #### producer

          public final org.eclipse.rdf4j.model.IRI producer

      Relates a programme to its producer - the manager of an event, show, or other work, usually the individual in charge of finance, personnel, and other non-artistic aspects in the development of commercials, plays, movies, and other works

    - #### schedule_date

          public final org.eclipse.rdf4j.model.IRI schedule_date

      The schedule date of a broadcast event.

    - #### season_broadcast

          public final org.eclipse.rdf4j.model.IRI season_broadcast

      Associates a season to its constituent broadcasts

    - #### series

          public final org.eclipse.rdf4j.model.IRI series

      Associates a brand or a series to a series constituting it.

    - #### service

          public final org.eclipse.rdf4j.model.IRI service

      Associate a brand, series or episode to the master brand service.

    - #### short_synopsis

          public final org.eclipse.rdf4j.model.IRI short_synopsis

      A short synopsis of a serie, brand or episode. Sub-property of po:synopsis.

    - #### sound_format

          public final org.eclipse.rdf4j.model.IRI sound_format

      The sound format of a particular version.

    - #### subject

          public final org.eclipse.rdf4j.model.IRI subject

      Relates a programme to a subject (e.g. `easter').

    - #### subtitle_language

          public final org.eclipse.rdf4j.model.IRI subtitle_language

      Language of the subtitles emebedded in a particular version.

    - #### synopsis

          public final org.eclipse.rdf4j.model.IRI synopsis

      The synopsis of a serie, brand or episode.

    - #### tag

          public final org.eclipse.rdf4j.model.IRI tag

      Associates an episode to a particular tag.

    - #### text

          public final org.eclipse.rdf4j.model.IRI text

      Associates a subtitle event to the corresponding text.

    - #### time

          public final org.eclipse.rdf4j.model.IRI time

      Associates an episode's version or a version's segment with a temporal interval. This interval can be associated with a timeline, serving as an anchor for further temporal annotations, e.g. subtitles or played track.

    - #### track

          public final org.eclipse.rdf4j.model.IRI track

      Associates a music segment with a track, as defined in MO.

    - #### version

          public final org.eclipse.rdf4j.model.IRI version

      Associate an episode to a version of it. Different versions of a same episode can exist (shortened version, version designed for the hearing impaired, etc.).

  - ### Method Detail

    - #### getInstance

          public static Programme getInstance()